import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class DragDropDirective {
    fileOver: boolean;
    fileDropped: EventEmitter<any>;
    onDragOver(evt: any): void;
    onDragLeave(evt: any): void;
    ondrop(evt: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragDropDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DragDropDirective, "[appDragDrop]", never, {}, { "fileDropped": "fileDropped"; }, never, never, false, never>;
}
